





#ifndef XPATHNODETREE_H
#define XPATHNODETREE_H

#include "xasset.h"
#include "gameworld.h" // For PathNodeTree reference
#include "xpathnodetreeinfo.h"

class XPathNodeTree : public XAsset
{
public:
    explicit XPathNodeTree();

    void ParseData(QDataStream *aStream) override;

    int GetAxis() const;
    void SetAxis(int axis);

    float GetDist() const;
    void SetDist(float dist);

    PathNodeTreeInfo* GetInfo() const;
    void SetInfo(PathNodeTreeInfo* info);

private:
    int mAxis = 0;
    float mDist = 0.0f;
    PathNodeTreeInfo* mInfo = nullptr; // We'll need to manage memory for this
};

#endif // XPATHNODETREE_H





